# Share doc between python- and python3-
%global _docdir_fmt %{name}
%global sum Google APIs Client Library for Python
%global srcname google-api-client

Name:           google-api-python-client
Summary:        %{sum}
Epoch:          1
Version:        1.6.7
Release:        11

License:        ASL 2.0
URL:            http://github.com/google/%{name}/
Source0:        https://files.pythonhosted.org/packages/e0/91/0e6a42ea3e0898a75d819a9690c8c8d0eecd31275d8a85503c8fc33949f2/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description 
Written by Google, this library provides a small, flexible, and powerful
Python client library for accessing Google APIs.

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel >= 3.3
BuildRequires:  python3-setuptools
BuildRequires:  python3-httplib2 >= 0.9.2
BuildRequires:  python3-oauth2client >= 2.0.0
BuildRequires:  python3-uritemplate >= 3.0.0
BuildRequires:  python3-six >= 1.6.1

Requires:       python3-httplib2 >= 0.9.2
Requires:       python3-oauth2client >= 2.0.0
Requires:       python3-uritemplate >= 3.0.0
Requires:       python3-six >= 1.6.1

%description -n python3-%{srcname}
Written by Google, this library provides a small, flexible, and powerful 
Python 3 client library for accessing Google APIs.

%prep
%setup -q

# remove egg info
rm -rf google_api_python_client.egg-info

# remove shebang without touching timestamp
for lib in googleapiclient/*.py; do
 sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

%build
%{py3_build}

%install
%{py3_install}

%files -n python3-%{srcname}
%license LICENSE 
%doc CHANGELOG
%{python3_sitelib}/apiclient/
%{python3_sitelib}/googleapiclient/
%{python3_sitelib}/google_api_python_client-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Oct 30 2020 jiangxinyu <jiangxinyu@kylinos.cn> - 1:1.6.7-11
- Init  google-api-python-client project
